write.captures {secr} | R Documentation

## Write Data to Text File

### Description

Export detections or detector layout to a text file in format suitable for input to DENSITY.

### Usage

    write.captures(object, file = "", deblank = TRUE, header = TRUE,
        append = FALSE, sess = "1", ndec = 2, covariates = FALSE, tonumeric
        = TRUE, ...)

    write.traps(object, file = "", deblank = TRUE,  header = TRUE,
        ndec = 2, covariates = FALSE, ...)

### Arguments

`object` | `capthist` or `traps` object
`file` | character name of output file
`deblank` | logical; if TRUE remove any blanks from character string used to identify detectors
`header` | logical; if TRUE output descriptive header
`append` | logical; if TRUE output is appended to an existing file
`sess` | character session identifier
`ndec` | number of digits after decimal point for x,y coordinates
`covariates` | logical or a character vector of covariates to export
`tonumeric` | logical for whether factor and character covariates should be converted to numeric values on output
`...` | other arguments passed to `write.table`

### Details

Existing file will be replaced without warning if `append = FALSE`. In the case of a multi-session capthist file, session names are taken from `object` rather than `sess`.

`write.capthist` is generally simpler to use if you want to export both the capture data and trap layout from a `capthist` object.

By default individual covariates are not exported. When exported they are repeated for each detection of an individual. Factor covariates are coerced to numeric before export.

### Value

None

### See Also

`as.data.frame.capthist`

### Examples

      write.captures (captdata)

[Package secr version 3.2.1 Index]